<!DOCTYPE html>

{% load static %}

{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<script src="https://kit.fontawesome.com/f54f95f57c.js" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
{% endblock %}

{% block body %}

<script async defer crossorigin="anonymous" src="https://connect.facebook.net/en_US/sdk.js"></script>

<div class="signup-header">
  <h1 class="text-heading">Step 3/3</h1>
  <h2 class="text-subhead">Connecting your account</h2>
</div>
<div id="onboardCarousel" class="carousel slide" data-bs-interval="false">
        
    <div class="carousel-inner">
      <div class="carousel-item active">
        <div class="container">
          <div class="onboarding d-flex align-items-center">
            <div class="signup-username">
                <div class="text-center sns">
                    <h2 class="text-subhead">Do you have any existing network account?</h2>
                    <br>
                    <button class="sns-yes btn button-second" type="button" style="width: 90px;">Yes</button>
                    <button class="sns-no btn button-second" type="button" style="width: 90px;">No</button>
                </div>
             </div>
        </div>
      </div>
      </div>

      <div class="carousel-item">
          <div class="container">
            <div class="signup-username">
                <div class="text-center sns">
                    <h2 class="text-subhead">Which social network are you connecting to?</h2>
                    <br>
                    <div class="sns-button">
                        <div class="option">
                          <input type="checkbox" class="btn-check" id="sns-f" autocomplete="off">
                          <label class="btn btn-outline-secondary" for="sns-f"><i class="fab fa-facebook-f fa-2x"></i></label>
                            <!-- <input class="btn-check button-second" type="checkbox" id="sns-f"><i class="fab fa-facebook-f fa-2x"></i></button>
                            <label class="d-block" for="sns-f">Facebook</label> -->
                        </div>
                        <div class="option ps-3">
                          <input type="checkbox" class="btn-check" id="sns-t" autocomplete="off">
                          <label class="btn btn-outline-secondary" for="sns-t"><i class="fab fa-twitter fa-2x"></i></label>
                            <!-- <input class="btn-check button-second" type="checkbox" id="sns-t"><i class="fab fa-twitter fa-2x"></i></button>
                            <label class="d-block" for="sns-t">Twitter</label> -->
                        </div>
                        <div class="option ps-3">
                          <input type="checkbox" class="btn-check" id="sns-i" autocomplete="off">
                          <label class="btn btn-outline-secondary" for="sns-i"><i class="fab fa-instagram fa-2x"></i></label>
                          <!-- <input class="btn-check button-second" type="checkbox" id="sns-i"><i class="fab fa-instagram fa-2x"></i></button>
                          <label class="d-block" for="sns-i">Instagram</label> -->
                        </div>
                    </div>
                    
                </div>
             </div>
          </div>
        
      </div>
      <div class="carousel-item">
        <div class="container">
          <div class="onboarding d-flex justify-content-center">
            <div class="signup-username">
                <div class="text-center sns">
                    <h2 class="text-subhead">Connect your Facebook</h2>
                    <br>
                    <div class="fb-login-button" data-width="" data-size="large" data-button-type="login_with" data-layout="default" data-auto-logout-link="false" data-use-continue-as="false"></div>
                    
                </div>
             </div>
        </div>
          </div>
      </div>
      <div class="carousel-item">
        <div class="container">
          <div class="onboarding d-flex justify-content-center">
            <div class="signup-username">
                <div class="text-center sns">
                    <h2 class="text-subhead">Connect your Instagram</h2>
                    <br>
                    <a id="instagram-button" class="btn btn-block btn-social btn-instagram">
                      <i class="fa fa-instagram"></i> Log in with Instagram
                    </a>
                    
                </div>
             </div>
        </div>
          </div>
      </div>
      <div class="carousel-item">
        <div class="container">
          <div class="onboarding d-flex justify-content-center">
            <div class="signup-username">
                <div class="text-center sns">
                    <h2 class="text-subhead">Connect your Twitter</h2>
                    <br>
                    <a id="instagram-button" class="btn btn-block btn-social btn-instagram">
                      <i class="fa fa-twitter"></i> Log in with Twitter
                    </a>
                    
                </div>
             </div>
        </div>
          </div>
      </div>
      <div class="carousel-item">
        <div class="container">
          <div class="onboarding d-flex justify-content-center">
            <div class="signup-username">
                <div class="text-center">
                  <img src="{% static '/image/signup-final.png' %}" style="max-width: 90vw; padding-top: 5vh;">
                  <h2 class="text-subhead">You are set up!</h2>
                  <p>Let's begin your GrapeVine</p>
                    
                </div>
             </div>
        </div>
          </div>
      </div>
    </div>
    
    <div class="control text-center">
        <button class="btn button-disabled" type="button" data-bs-target="#onboardCarousel" data-bs-slide="next" id="sns-1" style="width: 300px;">Next</button>
        <div class="connect-buttons d-none" id="sns-2">
          <button class="btn button-disabled" type="button" data-bs-target="#onboardCarousel" data-bs-slide="next" id="continue-w" style="width: 300px;">Continue connecting</button>
          <p class="mt-2">or</p>
          <a href="{% url 'relative_info' %}"  class="btn button-second" type="button" id="continue-wo" style="width: 300px;">Continue without connecting</a>
          <!--<button class="btn button-second" type="button" id="continue-wo" style="width: 300px;">Continue without connecting</button>-->
          
        </div>
        <a href="{% url 'relative_info' %}" class="btn button-primary d-none" id="sns-3">Next</a>
        <!-- <button class="btn button-primary" type="submit" id="Next">Register</button> -->
    </div>
  </div>
  
  
  <script>
    var myCarousel = document.querySelector("#onboardCarousel")
    var carousel = new bootstrap.Carousel(myCarousel, {
      interval: false,
      wrap: false
    })
  
    myCarousel.addEventListener('slide.bs.carousel', function (e) {
        if (e.to == 0) {
            $("#sns-1").removeClass("d-none");
            $('#sns-2').removeClass("d-block").addClass("d-none");
        } 
        if (e.to == 1) {
            $("#sns-1").removeClass("d-block").addClass("d-none");
            $('#sns-2').removeClass("d-none").addClass("d-block");
            
        } 
        if (e.to == 2) {
          $("#prev").removeClass("d-none").addClass("d-block");
          $('#next').addClass("d-none");
        } 
        if (e.to == 5) {
          $("#sns-3").removeClass("d-none");
          $('#sns-2').removeClass("d-block").addClass("d-none");
        } 
      })

      $('.sns-yes, .sns-no').click(function () {
        $("#sns-1").removeClass("button-disabled").addClass("button-primary");
      });
      $('#sns-f, #sns-f, #sns-t').click(function () {
        $("#sns-2 button").removeClass("button-disabled").addClass("button-primary");
      });
      // if ($('#sns-f').prop("checked") ) {
      //   $("#sns-2 button").removeClass("button-disabled").addClass("button-primary");
      // }
  </script>


{% endblock %}